﻿using System.Collections.Generic;
using TcHmiSrv;

namespace ListSymbolSampleExtension
{
    // Contains runtime data. This class should be thread-safe.
    public class Data
    {
        private List<string> _string_array = new List<string>();
        private Struct _struct_sample = new Struct();
        private object _string_arrayLock = new object();
        private object _struct_sampleLock = new object();

        public List<string> StringArray
        {
            get
            {
                lock (_string_arrayLock)
                {
                    return _string_array;
                }
            }

            set
            {
                lock (_string_arrayLock)
                {
                    _string_array = value;
                }
            }
        }

        public Struct StructSample
        {
            get
            {
                lock (_struct_sampleLock)
                {
                    return _struct_sample;
                }
            }

            set
            {
                lock (_struct_sampleLock)
                {
                    _struct_sample = value;
                }
            }
        }
    }
}
